\name{simARG}
\alias{simARG}
\title{Simulate an ancestral recombination graph}
\description{
  Simulate an ancestral recombination graph.  The 
}
\usage{
simARG(ss,sites,rec,growthmodel="constant",migmatrix=NULL,poptree=NULL)
}
\arguments{
  \item{ss}{Sample size - either a vector or number}
  \item{sites}{Number of sites between which recombination can occur}
  \item{rec}{Recombination rate between sites, either a simgle number or
    an array of length sites-1}
  \item{growthmodel}{growth model, e.g. "constant" or "exponential(2)"}
}
\value{
}
\details{
}
\references{
}
\seealso{
  \code{\link{treelength}}
  \code{\link{treeheight}}
}
\examples{
a <- simARG(ss=100,sites=1000,rec=0.1)
b <- simARG(ss=100,sites=1000,rec=0.1,growthmodel="exponential(1)")
plot(treeheight(a),type="l",ylim=c(0,10));
lines(treeheight(b),col="blue");
}
\author{Ian Wilson <I.J.Wilson@ncl.ac.uk>}
\keyword{}
