#ifndef NEWIO_H___
#define NEWIO_H___

#include <vector>
#include <string>
#include <iostream>
#include <iterator>
#include <fstream>
#include <tnt/tnt.h>

using std::vector;
using std::string;
using std::istream;

vector <string> readstringline(istream &in
			       ,int suggestedlength=10, char until='\n');
vector<vector<string> > readstringlines(istream &in);
vector <int> readintvector(istream &in,bool usechar=false, char until=EOF);
vector <vector<int> > readcharintmat(istream &in,size_t &cols, bool usechar=false);

int skipblank(istream &in, char until='\n');
void checkreadcharacter(istream &in ,const char wh, const char *message="error");
int skipline(istream &in);
void Tokenize(const string& str,vector<string>& tokens
	      ,const string& delimiters = " ");
bool skipto(std::istream &in, const char *pattern, const char comment='#');

vector<double> stringtodouble(vector<string> s,size_t from=0);
/** Little function to output an STL   */
template <class T> 
void printvector(std::ostream &o,vector<T> &u,bool newline=false,const char *between=" ") {
  std::copy(u.begin(),u.end(),std::ostream_iterator<T>(o,between));
  if (newline) o << std::endl;
}
template <class T> 
void printvector(std::ostream &o,const std::vector<T> &u,bool newline=false,const char *between=" ") {
  std::copy(u.begin(),u.end(),std::ostream_iterator<T>(o,between));
  if (newline) o << std::endl;
}
/** read a vector from the TNT::Array format    */
template <class T> 
vector<T> readvector(std::istream &in,T dummy) {
  TNT::Array1D<T> a;
  in >> a;
 
  return vector<T>(&a[0],&a[0]+a.dim());
}

template <typename T>
vector <vector<T> > readmat(istream &in,int rows, int cols, T dummy)
{
  vector<vector<T> > a(rows,vector<T>(cols));
  for (int i=0;i<rows;i++) {
    for (int j=0;j<cols;j++) in >> a[i][j];
  }
  return a;
}

template <typename T>
std::string tostring(T *start, int length) {
  std::ostringstream oss;
  std::copy(start,start+length,std::ostream_iterator<T>(oss,""));
  return oss.str();
}


#endif
